<?php
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
include_once $path.'/api/client/client.class.php';
include_once $path.'/Model_adm.php';
include_once '/usr/local/esia/keystore/scripts/keystore.lib.php';
/**
 * @name srv_control.php
 * @description Fichier principal du plugin serveur
 * @author Nicolas Biersart <n.biersart@esia-sa.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 09/11/2012
 */
// $webp_name doit être identique au nom de la base de données !!!
$webp_name='WEBP_ENTERPRISE';
/*DESCRIPTION: inclus les variables habituelles pour la gestion d'un noeud et vérifie les droits d'accès
 *NECESSITE: la variable $webp_name configurée
 *           la variable $webp_model est incluste
 *APRES l'inclusion du common_node_control les variables suivantes sont créées:
 *PHP:
 *      $node objet de type device
 *      $template_path chemin d'accès vers le répertoire template du plugin (exemple: /usr/local/esia/public_html/plugin/server/templates/)
 *      $apache_plugin_path chemin apache du plugin (exemple: /plugin/server/)
 *      $node_info = array('id'=>$node->getId(),
 'name'=>$node->getName(),
 'ip'=>$node->getIPAddress(),
 'id'=>$node->getId(),
 'description'=>$node->getDescription(),
 'group'=>$node->getGroup());
 * SMARTY
 $webp_name nom du plugin
 $node avec les donnée de node_info (voir au dessus)
 *      $apache_path chemin apache du plugin (exemple: /plugin/server/)
 *      $node_status pour l'affichage commun des noeuds si $_GET['tab'] est vide
 *
 */
include_once $path.'/inc/common_node_control.php';

$error = "";
$action='view';
if(isset($_GET['action']) &&!empty($_GET['action']))
{
    $action = $_GET['action'];
}
global $licence;
if(isset($_POST['lic_val']) &&!empty($_POST['lic_val']))
{
    $action = $_GET['action'];
    try
    {
        Model_esia::updateMercuryClient($dbconnection,$node->getId(),$_POST['lic_val']);
        $smarty->assign('licence_success',1);
    }
    catch(Exception $e)
    {
        $smarty->assign('licence_error',$e->getMesssage());
    }
}
$nbr = Model_esia::countNodeNumberForLicence($dbconnection);
$mercu  = Model_esia::getMercuryClient($dbconnection,$node->getId());
if($mercu[0]['max_node']==-1)
{
	//echo 'ici';
	$smarty->assign('maxnode',($licence['node']-$nbr));
	$smarty->assign('nodefixe',($licence['node']-$nbr));
}
else
{
	$smarty->assign('nodefixe',$mercu[0]['max_node']);
	$smarty->assign('maxnode',($licence['node']-$nbr+$mercu[0]['max_node']));
}
$smarty->assign('maxnode',($licence['node']-$nbr));
$smarty->assign('licence',$licence);
$smarty->assign('action',$action);
$smarty->display($template_path.'display_enterprise.html');

?>
